import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class AlphabetChildrenStyle extends Object{

  /// 已选文字颜色
  final Color selectTextColor;

  /// 未选文字颜色
  final Color unSelectTextColor;

  /// 字体大小
  final double testSize;

  /// 已选背景色
  final Color selectBackgroundColor;

  /// 未选背景色
  final Color unSelectBackgroundColor;

  /// 子组件宽度
  final double childWidth;

  /// 子组件高度
  final double childHeight;

  /// 整体宽度
  final double totalWidth;

  /// 整体高度
  final double totalHeight;

  /// 整体背景色
  final Color? childrenBackgroundColor;

  /// 在文本附近绘制的装饰（例如，下划线）。
  ///
  /// 可以使用 [TextDecoration.combine] 应用多种装饰
  /// The decorations to paint near the text (e.g., an underline).
  ///
  /// Multiple decorations can be applied using [TextDecoration.combine].
  final TextDecoration textDecoration;

  /// 外边距
  EdgeInsetsGeometry? margin;

  /// 排列方向
  final Axis alphabetDirection;

  AlphabetChildrenStyle(  {
    this.childWidth = 16,
    this.childHeight = 16,
    this.totalWidth = 16,
    this.totalHeight = 450,
    this.margin,
    this.selectBackgroundColor = Colors.black,
    this.unSelectBackgroundColor = Colors.white,
    this.selectTextColor = Colors.white,
    this.unSelectTextColor = Colors.black,
    this.textDecoration = TextDecoration.none,
    this.alphabetDirection = Axis.vertical,
    this.childrenBackgroundColor,
    this.testSize = 10,
  });
}

